@echo off
:: Командный сценарий выполняет переименование файлов защищенного хранилища Secret Disk Server NG при обновлении версии 3.2.6 и ниже до версии 3.3

set ROOTDIR=%ALLUSERSPROFILE%\Application Data\Aladdin

set OLDSTORAGEDIR={3C00B2C8-F51A-4D37-8548-C56214AD7A10}
set NEWSTORAGEDIR={98F3CA59-DA79-41A4-B65F-6D3A160136E8}

if exist "%ROOTDIR%\%NEWSTORAGEDIR%" goto all_right

if not exist "%ROOTDIR%\%OLDSTORAGEDIR%" goto no_storage

attrib -h "%ROOTDIR%\*.*" /S /D

rename "%ROOTDIR%\%OLDSTORAGEDIR%\{37AA17A7-95AB-4F53-949C-258F3487FEAB}" {05C4F273-0976-48C9-BED2-D182FD4CCA15}
rename "%ROOTDIR%\%OLDSTORAGEDIR%\{74EEBB33-F738-414B-A89C-B03F55E0AC50}" {B1D0D6CD-2D03-4AE0-AB40-3E6A8363B37C}
rename "%ROOTDIR%\%OLDSTORAGEDIR%\{F1B1453E-126E-4834-B511-8625E5E48412}" {CC19E726-3D4F-4747-9F37-46EB73493555}
rename "%ROOTDIR%\%OLDSTORAGEDIR%" %NEWSTORAGEDIR%

attrib +h "%ROOTDIR%\*.*" /S /D

goto quit

:no_storage
echo Защищенное хранилище не обнаружено!
goto quit

:all_right

echo Защищенное хранилище, установленное на данном компьютере, уже имеет новый формат. Преобразование защищенного
echo хранилища не требуется. Для того чтобы выполнить обновление Secret Disk Server NG, 
echo запустите программу установки и следуйте пошаговой инструкции.
goto quit

:quit
